List medical protocols
Every protocol, by name, each with its lines in their order. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
medical-protocols
List medical protocols
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/medical-protocols \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/medical-protocols', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/medical-protocols"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"name": "<string>",
"species": "dog",
"age_band": "<string>",
"is_active": true,
"items": [
{
"record_type": "vaccination",
"name": "<string>",
"id": "<string>",
"catalogue_item_id": "<string>",
"day_offset": 1825,
"recurrence": {
"interval": 260,
"unit": "day"
},
"until_age": {
"value": 260,
"unit": "week"
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
List medical protocols
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/medical-protocols \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/medical-protocols', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/medical-protocols"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"name": "<string>",
"species": "dog",
"age_band": "<string>",
"is_active": true,
"items": [
{
"record_type": "vaccination",
"name": "<string>",
"id": "<string>",
"catalogue_item_id": "<string>",
"day_offset": 1825,
"recurrence": {
"interval": 260,
"unit": "day"
},
"until_age": {
"value": 260,
"unit": "week"
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
